<html>
  <head>
    <title>Arrays 3</title>
    <script>
      function execute() {
        const arr = input.value.split(',');
        let temp = [arr[0]], res = [];
        for (let i = 0; i < arr.length - 1; i++) {
          if (arr[i] === arr[i + 1]) {
            temp.push(arr[i + 1]);
          } else {
            temp = [arr[i + 1]];
          }
          if (temp.length > res.length) {
            res = [...temp];
          }
        }
        const output = `<p>The input sequence is</p><p>${arr.join(' ')}<p>` + 
          `<p>The maximum sequense is</p><p>${res.join(' ')}</p>`;
        result.innerHTML = output;
      }
    </script>
  </head>
  <body>
    <p>Sequence [,]: <input id="input" /></p>
    <button onclick="execute()">Execute</button>
    <div id="result"></div>
  </body>
</html>
